Bug 971898 - SELinux is preventing /usr/bin/abrt-action-generate-core-backtrace from 'unlink' accesses on the lnk_file .lock.
SELinux is preventing /usr/bin/abrt-action-generate-core-backtrace from 'unli...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Toman
Fedora Extras Quality Assurance
abrt_hash:9cda0a969c994a1a55f22a5aeb9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 10:10 EDT by JayMac
Modified: 2015-03-22 20:41 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:43:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JayMac 2013-06-07 10:10:56 EDT
Description of problem:
SELinux is preventing /usr/bin/abrt-action-generate-core-backtrace from 'unlink' accesses on the lnk_file .lock.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that abrt-action-generate-core-backtrace should be allowed unlink access on the .lock lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep abrt-action-gen /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:initrc_tmp_t:s0
Target Objects                .lock [ lnk_file ]
Source                        abrt-action-gen
Source Path                   /usr/bin/abrt-action-generate-core-backtrace
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           abrt-addon-ccpp-2.1.4-3.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-06-07 15:07:40 BST
Last Seen                     2013-06-07 15:07:40 BST
Local ID                      5cb61571-2d6b-41e5-8658-b3b04ea7c03f

Raw Audit Messages
type=AVC msg=audit(1370614060.976:384): avc:  denied  { unlink } for  pid=4243 comm="abrt-action-gen" name=".lock" dev="dm-2" ino=657622 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:initrc_tmp_t:s0 tclass=lnk_file


type=SYSCALL msg=audit(1370614060.976:384): arch=x86_64 syscall=unlink success=yes exit=0 a0=7fffd8cb1c50 a1=1b825a2 a2=2e a3=7fffd8cb19b0 items=0 ppid=4239 pid=4243 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=abrt-action-gen exe=/usr/bin/abrt-action-generate-core-backtrace subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)

Hash: abrt-action-gen,abrt_t,initrc_tmp_t,lnk_file,unlink

audit2allow

#============= abrt_t ==============
allow abrt_t initrc_tmp_t:lnk_file unlink;

audit2allow -R
require {
	type initrc_tmp_t;
	type abrt_t;
	class lnk_file unlink;
}

#============= abrt_t ==============
allow abrt_t initrc_tmp_t:lnk_file unlink;


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-06-07 16:07:52 EDT
restorecon -R -v /var/tmp/abrt


Abrt should be creating this directory with the right label.
Comment 2 Fedora End Of Life 2013-12-21 08:54:20 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:43:06 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.